commit e54fe112f6cb0d76d9f5f341e55cf302cc1fa375
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 10 19:53:28 2023 +0100

    Update copyright year
    
    (cherry picked from commit 8ebf83d3afae5b0743459704c4ce0ee9bcf7cbf5)

commit 4081926d596807a10d7bdfebb982868bf7162be7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 10 18:39:11 2023 +0100

    tasklist: Fix scrolling through window buttons (Fixes #692)
    
    (cherry picked from commit 116ded7b6233e8de597a06f80eb405a0c375c0de)

commit 1cd0b104d1fc7a3a1041af251c13598e7fcaf4d6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 10 16:49:31 2023 +0100

    tasklist: Fix group button visibility
    
    Regression introduced in e17d6a35148e4d60cd1af43329af2e99de6c5cfa.
    
    Fixes: #693
    (cherry picked from commit eb27111dd3921a9a6ebcacde4fe49bd552e7cc06)

commit 75476c557dff724a22617827551791d1f09bb555
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 8 21:19:26 2023 +0100

    libxfce4panel: Deprecate XfcePanelImage
    
    Related: c183ccab6a9ea941154752abb0172193eaca35fa
    (cherry picked from commit f76c2aee5c34f257fb858b2afa18260f5ae7f229)

commit a35a1d7bf0ee699918e80943331f91a8c570ee35
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jan 8 00:47:06 2023 +0100

    I18n: Update translation el (99%).
    
    488 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 457db98399d46de5b9b52723573e52d31a767b6c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 11 12:51:13 2022 +0100

    tasklist: Do not duplicate menu item activation
    
    Connecting to "button-press-event" is just useless, but connecting to
    "button-release-event" should be kept for middle click actions. Luckily
    the left click worked on X11 because the two activations seem to work
    together, but they cancel each other out on Wayland. As for the right
    click, it did not work either on X11 or on Wayland.
    
    (cherry picked from commit f06f5ca49f01932ed579b591affdef73e7205c53)

commit 43be4147b542e13d3e592f635580b46d5177f841
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 4 08:48:32 2023 +0100

    clock: Fix sync timeout
    
    (cherry picked from commit 5cf7006ee02cac06a693714ee9c30d3e7d326c17)

commit 223d954a4024c4c783b3bc55e7d8d5ed8493150b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 1 17:08:33 2023 +0100

    docs: Fix version for xfce_panel_set_image_from_source()
    
    The `scale` argument was only added in 4.17.4, so better not to
    encourage the use of this function before.
    
    Related: !83, 0a732bdc8fddbe1bec37e6baa00df82dcb1ed435
    (cherry picked from commit 3f9d41e08699fa0e23e9a76819986f6464fd8e35)

commit 82532e63bf11930db44912a40be2813c4260720b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 29 14:49:57 2022 +0100

    clock: Add missing sanity check
    
    Fixes: 5ec58536b6d10396cf77380967ced1e634d35731
    (cherry picked from commit 9940f0974126d9ada6ce3caa6e7334d46297ea13)

commit f9dc20adb6feeaf08e5d032908453f4040e722da
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 28 18:09:40 2022 +0100

    windowmenu: Adapt wnck default icon size when UI scale > 1 (Fixes #682)
    
    (cherry picked from commit d9b40caafb680f0bc8a0a0b1c993e28ced91d0a4)

commit 2fce4d9a665c88f76ae5503a8c8092dad299aa22
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 28 17:35:15 2022 +0100

    tasklist: Adapt wnck default icon size when UI scale > 1 (Fixes #681)
    
    (cherry picked from commit 3fe42737bfe08cf3b6b74c7bfc0e1f9f8ee53eea)

commit ffa7e028417fac6f8e49f8d6947e646fcf36d5a8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 20 13:52:33 2022 +0100

    tasklist: Fix window count positioning when UI scale > 1
    
    Not really a regression, since it never worked.
    
    Fixes: 4f6e403144a6cfa5ea13e3bc5ef092f07ca42098
    (cherry picked from commit 01265609330d3d885e0bb7cf9880b4a76d4866ae)

commit 836a5c708c4d3249d11187f182f225c432416864
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 20 13:14:46 2022 +0100

    tasklist: Keep icon pixbuf around and use surface also for menu items
    
    Closes: #676
    Fixes: 4f6e403144a6cfa5ea13e3bc5ef092f07ca42098
    (cherry picked from commit b328ce00585649f827681ca173439486ba6554c2)

commit 1c5aee55f0c89f532168cd4fa0f882aa7c9374d3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 19 18:37:54 2022 +0100

    clock: Do not override custom font formats
    
    The font specified via the font dialog can be applied globally while
    giving priority to custom font formats, as long as it is applied at the
    end and without mixing markup strings and Pango attributes, as the doc
    recommends. This means not applying the dialog font and the custom
    format separately, but all at once, so some refactoring.
    
    Fixes: #675
    Related: !101
    (cherry picked from commit 5ec58536b6d10396cf77380967ced1e634d35731)

commit 8e4beee7fad6eb403e18bb34fa16e3ba4003b29b
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jan 2 00:47:31 2023 +0100

    I18n: Update translation ko (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a9a615654826fddff12dc828685f6f973ad722aa
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jan 1 00:48:31 2023 +0100

    I18n: Update translation pt_BR (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 29c95e31ed4b2620cd4bf0569f06a40360218496
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 30 12:54:24 2022 +0100

    I18n: Update translation ko (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 25344cb2f5d020889e49871c5113e08c443f225e
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 29 00:51:47 2022 +0100

    I18n: Update translation fr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 73566e4493b10d6d85c7e6a4c2f1a17dce423cb9
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 26 12:49:33 2022 +0100

    I18n: Update translation zh_CN (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b73e8ad4d22d557a98015a1f2a52c5999d920e18
Author: Anonymous <noreply@xfce.org>
Date:   Sun Dec 25 00:49:19 2022 +0100

    I18n: Update translation he (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1360ff13bf47d074f98410e7cdddff499ab99398
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 23 00:50:34 2022 +0100

    I18n: Update translation nl (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f7c0bff3458d50efa13eb1d81a08be99190c730d
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:58 2022 +0100

    I18n: Update translation zh_TW (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6daf982254c5c03cd5e2461500e236e8e262d3b3
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:57 2022 +0100

    I18n: Update translation zh_HK (85%).
    
    419 translated messages, 70 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5395be5893d283e4b632707dd0d90d85ac2026b5
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:57 2022 +0100

    I18n: Update translation zh_CN (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e4697b3cf96b0855599e4f683f280f43a5f9e0fe
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:57 2022 +0100

    I18n: Update translation vi (63%).
    
    312 translated messages, 177 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2de6b657745edb382580710590cbcb7cd1aa538b
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:57 2022 +0100

    I18n: Update translation uk (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ae2ec70bf2c71d47550a732174efbd52b92bb56a
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:57 2022 +0100

    I18n: Update translation ug (78%).
    
    383 translated messages, 106 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f220a17bd358d8dc8e44180cc05bc1b765fdb2d6
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:57 2022 +0100

    I18n: Update translation tr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c8c055ebda6e694fd14f5582b56e48f223b49632
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:57 2022 +0100

    I18n: Update translation th (94%).
    
    464 translated messages, 25 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ae8be00084c9cb09c350b4471152fb1fa4bfe956
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:57 2022 +0100

    I18n: Update translation sv (99%).
    
    486 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4ddbcbdfe615db091486a02b02ed0dc3c58474e7
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:57 2022 +0100

    I18n: Update translation sr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ce5cef76540af1fc7a5c5166e46f6421a7bbd44a
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:56 2022 +0100

    I18n: Update translation sq (99%).
    
    487 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9a24ebaba6df3f51cde52749eb352b113657355a
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:56 2022 +0100

    I18n: Update translation sl (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5bea6d7d105877290cbb9c2016b32de9b4803ccd
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:56 2022 +0100

    I18n: Update translation sk (94%).
    
    464 translated messages, 25 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a031f7e67e00d0a3d1ad6da80ed54cb0d80abbac
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:56 2022 +0100

    I18n: Update translation si (57%).
    
    280 translated messages, 209 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0e477bc9846d1e7844b145439f60cf0ae97a2e9f
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:56 2022 +0100

    I18n: Update translation ru (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 99784afcb8202eba9adac8c497f0edbc0da88df5
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:56 2022 +0100

    I18n: Update translation ro (79%).
    
    389 translated messages, 100 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 84f84fb225d39fede7a4353bb9dd105c51ebb8dc
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:56 2022 +0100

    I18n: Update translation pt_BR (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 76193ce96b25df8928cd7f157181038afa6853be
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:56 2022 +0100

    I18n: Update translation pt (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 888d48ca0da960bc39dbe413e8fcda0c1ab7ddc1
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:55 2022 +0100

    I18n: Update translation pl (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit eb4d50cd88b7eee7bd1a4d63879b257635e354f6
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:55 2022 +0100

    I18n: Update translation pa (57%).
    
    280 translated messages, 209 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f5daf81b5aaee82376f59480cb7647b6ba137edb
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:55 2022 +0100

    I18n: Update translation oc (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8c99bf9cae10547f380d8c0f14d8f656b896ae74
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:55 2022 +0100

    I18n: Update translation nn (88%).
    
    431 translated messages, 58 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 266eb642f59916257eb0ec1d816a56cafc3ed2b6
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:55 2022 +0100

    I18n: Update translation nl (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 20bcad9ff9047e8bb71425adc408ed517b769f28
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:55 2022 +0100

    I18n: Update translation nb (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 023537174d3ae1b8b97fe3f472655920359a8d59
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:55 2022 +0100

    I18n: Update translation ms (95%).
    
    466 translated messages, 23 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e53c8fb9afca1d5f506dfc755c2571d88529ccd6
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:55 2022 +0100

    I18n: Update translation lt (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 487f660d1ee199ebb88c7917353a82689f35be37
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:54 2022 +0100

    I18n: Update translation ko (94%).
    
    464 translated messages, 25 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b771f932b5e1fdf9da51dedb80d061b62f6b0da8
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:54 2022 +0100

    I18n: Update translation kk (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5ca300578007de713bc1b80511c612d956e4f2b8
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:54 2022 +0100

    I18n: Update translation ka (62%).
    
    308 translated messages, 181 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cb2af0c5ca109874de2c754131eec0b56a183626
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:54 2022 +0100

    I18n: Update translation ja (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5a8a9be1339325b95195c77583f58f75981213f3
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:54 2022 +0100

    I18n: Update translation it (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2e5b735406ecc1562c098b3b211e8c19d899a0f6
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:54 2022 +0100

    I18n: Update translation is (83%).
    
    409 translated messages, 80 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 78261cbbf3c7871f606f3eb0d34a65c9fe655120
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:54 2022 +0100

    I18n: Update translation ie (91%).
    
    448 translated messages, 41 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ae7ae127fa2a51385bdf16ed274fe1df7ec77cdf
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:53 2022 +0100

    I18n: Update translation id (99%).
    
    488 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fc1265fab5e8180dae617df904b5b296829885b0
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:53 2022 +0100

    I18n: Update translation hye (85%).
    
    418 translated messages, 71 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fc77bc4faaa392cd63f55fd83f74d917e51ecbbc
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:53 2022 +0100

    I18n: Update translation hy_AM (89%).
    
    436 translated messages, 53 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d5f0f261e6274eb5e2f967777dd499ce1bc676ce
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:53 2022 +0100

    I18n: Update translation hu (93%).
    
    455 translated messages, 34 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d6b71e40cb4e48098a385d2723765782fa4981c1
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:53 2022 +0100

    I18n: Update translation hr (89%).
    
    440 translated messages, 49 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 86444b6b02e297915f491df4370217b2b684d8c0
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:53 2022 +0100

    I18n: Update translation he (97%).
    
    478 translated messages, 11 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 06a6be8efe96a38cc0cf27474fbf74c3e93553cb
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:53 2022 +0100

    I18n: Update translation gl (94%).
    
    464 translated messages, 25 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ee04ed0ac201ab93e3c117c01201ac660fa424c2
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:53 2022 +0100

    I18n: Update translation fr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 76c7ab7df81b1c4d1f555ac76c5af480b562a29b
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:52 2022 +0100

    I18n: Update translation fi (89%).
    
    439 translated messages, 50 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7b617afe09846fd362f70d3e2900e7d76c9e2796
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:52 2022 +0100

    I18n: Update translation eu (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c1299e1aaedc3d1ec308e2d52b0ac28b87e90e2a
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:52 2022 +0100

    I18n: Update translation et (98%).
    
    482 translated messages, 7 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4343f4ef96cf0d841fd7618436374956f9227336
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:52 2022 +0100

    I18n: Update translation es (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1a585aceb9163f9655753cf8300e415bc14d15c4
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:52 2022 +0100

    I18n: Update translation en_GB (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6b3ed0c761b620e28240b055765a8f17d2143405
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:52 2022 +0100

    I18n: Update translation en_AU (83%).
    
    409 translated messages, 80 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c19a60dfbb50ed762c6b93f335e12c56dd9284b3
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:51 2022 +0100

    I18n: Update translation el (99%).
    
    488 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7cae34f868aa1b2074435d94871bd00200845254
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:51 2022 +0100

    I18n: Update translation de (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 87f097846eb48f6f59ee091c232f1a17c71cde0c
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:51 2022 +0100

    I18n: Update translation da (95%).
    
    465 translated messages, 24 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0a126428d41972720f1c3a852a238b976a423b65
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:51 2022 +0100

    I18n: Update translation cs (95%).
    
    465 translated messages, 24 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 12a66bf73551a40b5fba420e9f523977e4c9112a
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:51 2022 +0100

    I18n: Update translation ca (94%).
    
    464 translated messages, 25 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6996d10c9f9e5fc442bf37702bc5369b627de7e5
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:51 2022 +0100

    I18n: Update translation bn (60%).
    
    297 translated messages, 192 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 82d7c4c1f71fe12e4d8cd077605c508727017bab
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:51 2022 +0100

    I18n: Update translation bg (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 83123a6a208d46eba40ea2a3932d5e7df266598f
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:51 2022 +0100

    I18n: Update translation be (94%).
    
    464 translated messages, 25 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 95e291136f63252d18a637562c0533378e6614a2
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:51 2022 +0100

    I18n: Update translation ast (77%).
    
    379 translated messages, 110 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c3046b6254558d161f259f103566cbe3a085720c
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:50 2022 +0100

    I18n: Update translation ar (84%).
    
    414 translated messages, 75 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9481164f76392286945e4104163c8ae76ce0b51e
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 22 12:53:50 2022 +0100

    I18n: Update translation am (62%).
    
    307 translated messages, 182 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7dca229573ae38adb5440841d346c57b674730ec
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 15 10:08:36 2022 +0100

    Back to development

commit 1e1fdc05ff214c07430581296f975f683978d001
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 15 10:08:14 2022 +0100

    Updates for release

commit da9aa65781937631d67d3029c68886b786c94a7f
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 13 12:46:46 2022 +0100

    I18n: Update translation lt (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b4c563ca63546a05fb56171387fcb62b8391eacb
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 13 00:51:16 2022 +0100

    I18n: Update translation ru (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit eacc3be6ea13a29a9ab5229518c338302495d3a1
Author: Anonymous <noreply@xfce.org>
Date:   Wed Dec 7 00:45:48 2022 +0100

    I18n: Update translation ru (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 52536398df29fed71af382c50a3f899427041068
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 6 12:46:37 2022 +0100

    I18n: Update translation ru (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c77948a4f85e2c644bf9a868d7b1610358695680
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 5 21:16:04 2022 +0100

    build: Bump requirements for Xfce 4.18

commit acd496fc92a6e4b86a979ba48d7fce486ede7fab
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 5 12:47:17 2022 +0100

    I18n: Update translation hu (93%).
    
    455 translated messages, 34 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c270541e0e40dbb8d18e9be0f63d6ec15b688af1
Author: Anonymous <noreply@xfce.org>
Date:   Sat Dec 3 00:46:13 2022 +0100

    I18n: Update translation tr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7b38b48db60d6341081e1ddb2a46e3ea943a15cd
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 1 12:46:54 2022 +0100

    I18n: Update translation tr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit adc1fee0fde6027f01981600bfd7f3e90b5727f7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Nov 30 16:38:28 2022 +0100

    Back to development

commit 1277005b224fde1b67c96fd943ce09e196b30f7b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Nov 30 16:37:52 2022 +0100

    Updates for release

commit 9a111d919a1e68b0c28a4819cd90be18323007d0
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 00:51:03 2022 +0100

    I18n: Update translation kk (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e2f432564b7365dea52ba74b95130bca7aa1b7d0
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 12:46:44 2022 +0100

    I18n: Update translation pt_BR (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9392f70f2f4276a5476b0677a136b9505049d269
Author: Anonymous <noreply@xfce.org>
Date:   Sun Nov 27 12:46:41 2022 +0100

    I18n: Update translation el (99%).
    
    488 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit decc7c32f9c709170b3de5e250cf8a0c27ed5b14
Author: Akbarkhon Variskhanov <akbarkhon.variskhanov@gmail.com>
Date:   Sun Nov 27 09:38:05 2022 +0000

    panel-desktop-handler: Add `OnlyShowIn=XFCE` key (!106)

commit 03f01527a3c7bd8c03ad79788476a99d36b35348
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Nov 22 22:52:40 2022 +0100

    Fix previous commits about menu positioning
    
    Avoid iterating the main loop by hand. This is bad practice that may
    change the order in which things should normally happen and lead to bad
    surprises.
    
    For popup_menu() use g_idle_add() instead. For position_widget(), just
    delete this code since it was broken before and probably never called,
    and put a hint in the doc instead.
    
    Fixes: 7d0976db, 42b6032e

commit 42b6032efc6b030b4124f0faca4e055dcbe66865
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Nov 16 23:52:25 2022 +0100

    libxfce4panel: Fix menu positioning when the panel is hidden
    
    Mainly useful for popup commands, but consistent with position_widget().

commit bc991f4eeca31d2a4072ca21ab102702faf5801e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Nov 16 23:50:11 2022 +0100

    Revert "Reposition menu for popup commands if necessary"
    
    This reverts commit ed56fbb16eab6611fbbb3f33a6915854889fb1cc.
    
    Fixed directly in xfce_panel_plugin_popup_menu() in the next commit
    instead.

commit 7d0976db9ea1a97b2ef253a18800582506b2fa3d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Nov 16 23:44:22 2022 +0100

    libxfce4panel: Fix menu widget positioning when the panel is hidden
    
    It is enough to purge the current events once to show the panel, and the
    use of `gdk_window_get_position()` was wrong and in the wrong place.

commit 6d42ee69177771aa0c4e5230f42b9f8c0387609c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Nov 15 23:26:42 2022 +0100

    libxfce4panel: Strengthen sanity check for emitting "provider-signal"
    
    This covers corner cases, for example when a menu is opened when the
    panel is closed.

commit b715f71649b70dc63ff9ae9f6857cc50b3f5d3cc
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Nov 15 20:40:24 2022 +0100

    libxfce4panel: Make popup_penu() consistent with position_widget()
    
    By popping up menu at widget also when the panel is floating if
    possible.
    
    Related: !80, 7a24ea0c1966ccdd07cd8774811fbafe694f028d

commit 5d86d1071cd0fd6531294ece4f3ba94c6ecc37a5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Nov 14 12:25:38 2022 +0100

    panel: Remove dead code
    
    Seems to have always been dead code, at least since 2dc06568.

